Package ru.bitel.bgbilling.kernel.script.server.bean

# Class EventTypeManager

java.lang.Object
ru.bitel.bgbilling.kernel.script.server.bean.EventTypeManager

    public class EventTypeManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EventTypeManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<EventType>` | `filterNewEvents​(java.util.List<EventType> in)` | Отсеивает из данного списка события "старого" типа и возвращает только "новые".
  `java.util.List<EventType>` | `getEventTypeList​(int mode)` | Возвращает список типов событий по режиму
  `java.util.List<EventType>` | `getEventTypeList​(java.lang.String idFilter)` | Возвращает список типов событий по их кодам
  `java.util.List<EventType>` | `getEventTypesByEventId​(java.lang.String eventId)` | Возвращает все типы событий коду события (либо по номеру, либо по классу события)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventTypeManager

    public EventTypeManager​(java.sql.Connection con)

- ## Method Details

  - ### getEventTypeList

    public java.util.List<EventType> getEventTypeList​(int mode)
    Возвращает список типов событий по режиму
    Parameters:
      `mode` - режим
    Returns:

  - ### getEventTypeList

    public java.util.List<EventType> getEventTypeList​(java.lang.String idFilter)
    Возвращает список типов событий по их кодам
    Parameters:
      `idFilter` - коды событий, перечисленные через запятую
    Returns:

  - ### getEventTypesByEventId

    public java.util.List<EventType> getEventTypesByEventId​(java.lang.String eventId) throws ru.bitel.bgbilling.common.BGException
    Возвращает все типы событий коду события (либо по номеру, либо по классу события)
    Parameters:
      `eventId` - код события
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### filterNewEvents

    public java.util.List<EventType> filterNewEvents​(java.util.List<EventType> in)
    Отсеивает из данного списка события "старого" типа и возвращает только "новые".
    Parameters:
      `in` - входной список типов событий
    Returns: